#ifndef XEFFECTDEFREF_H
#define XEFFECTDEFREF_H

#include "xasset.h"
#include "xstring.h"

#include <QString>

class XEffectDef;

class XEffectDefRef : public XAsset
{
public:
    explicit XEffectDefRef();
    ~XEffectDefRef() override;

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    XEffectDef* mHandle;
    XString mName;
};

#endif // XEFFECTDEFREF_H
